/* 
    File: ISTest1.C
*/

#include <string>
#include <iostream>

#include "ISTable.h"

using namespace std;


// prototypes

void FillTestTable(ISTable *s);

int main(int argc, char** argv)
{

  ISTable *ss;
  string fname;
  vector<string> list2;
  int size;

  ss = new ISTable();
  FillTestTable(ss);

  fname = "outfile.tdb";

  FileNavigator *fnav;
  int err;
  fnav = new FileNavigator();
  err=fnav->OpenFile(fname, CREATE_MODE, 1);
  if (err) fnav->PrintError(err);
  err=fnav->ReadFileHeader();
  if (err) fnav->PrintError(err);
  err = ss->WriteObject(fnav, size);
  fnav->CloseFile();
  delete fnav;

  fnav = new FileNavigator();
  ISTable gnu;
  fnav->OpenFile("outfile.tdb", READ_MODE,0);
  fnav->ReadFileHeader();
  gnu.GetObject(err, fnav);

  cout << gnu;

  delete ss;
  fnav->CloseFile();
  delete fnav;

}


void FillTestTable(ISTable *s) {
 int i;
 vector<string>* ColStart;
 vector<string>* ColEnd;
 vector<string>* ColLen;
 ColStart = new vector<string>;
 ColEnd = new vector<string>;
 ColLen = new vector<string>;
 string length;
 char a[5];

 s->AddColumn("start_v");
 s->AddColumn("end_v");
 s->AddColumn("lp_lenght");

 for (i=0; i<10; i++) {
   sprintf(a,"%d",49-i);
   length = a;
	ColStart->push_back(length);
 }

 ColStart->push_back("");
 ColStart->push_back("");

 for (i=0; i<12; i++) {
   sprintf(a,"%d",i);
   length = a;
	ColEnd->push_back(length);
	ColLen->push_back(length);
 }
 s->FillColumn("start_v", *ColStart);
 s->FillColumn("end_v", *ColEnd);
 s->FillColumn("lp_lenght", *ColLen);

 delete ColStart;
 delete ColEnd;
 delete ColLen;
}
